Search experiment
Search experiments using filters with the V2 API.
## Authentication
- API key: `Authorization: Bearer `
## Request Body
```json Request
{
"filters": {
"name": {
"operator": "startswith",
"value": "K"
}
}
}
```
## Examples
```python Python
url = "https://api.respan.ai/api/v2/experiments/list"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"filters": {
"name": {
"operator": "startswith",
"value": "K"
}
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
```
```bash cURL
curl -X POST "https://api.respan.ai/api/v2/experiments/list" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"filters": {
"name": {
"operator": "startswith",
"value": "K"
}
}
}'
```
## Response
```json 200 OK
{
"count": 1,
"results": [
{
"id": "experiment_id_123",
"name": "K Experiment",
"dataset_id": "dataset_id_123"
}
]
}
```
Authentication
AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys
Request
This endpoint expects an object.
Response
Successful response for Search experiment
Errors
401
Unauthorized Error